RDKit: RDKit::CIPLabeler::Tetrahedral Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
RDKit::CIPLabeler::Tetrahedral Class Reference

`#include <Tetrahedral.h>`

Inheritance diagram for RDKit::CIPLabeler::Tetrahedral:

## Public Member Functions
| Tetrahedral ()=delete
| Tetrahedral (const CIPMol &mol, Atom *focus)
void | setPrimaryLabel (Descriptor desc) override
bool | hasPrimaryLabel () const override
void | resetPrimaryLabel () const override
Descriptor | label (const Rules &comp) override
Descriptor | label (Node *node, Digraph &digraph, const Rules &comp) override
Public Member Functions inherited from RDKit::CIPLabeler::Configuration
| Configuration ()=delete
| Configuration (const CIPMol &mol, Atom *focus)
| Configuration (const CIPMol &mol, std::vector< Atom * > &&foci, bool atropisomerMode=false)
virtual | ~Configuration ()
Atom * | getFocus () const
const std::vector< Atom * > & | getFoci () const
const std::vector< Atom * > & | getCarriers () const
Digraph & | getDigraph ()

## Additional Inherited Members
Static Public Member Functions inherited from RDKit::CIPLabeler::Configuration
template<typename T>
static int | parity4 (const std::vector< T > &trg, const std::vector< T > &ref)
Protected Member Functions inherited from RDKit::CIPLabeler::Configuration
Edge * | findInternalEdge (const std::vector< Edge * > &edges, Atom *f1, Atom *f2)
bool | isInternalEdge (const Edge *edge, Atom *f1, Atom *f2)
void | removeInternalEdges (std::vector< Edge * > &edges, Atom *f1, Atom *f2)
bool | isDuplicateOrHydrogenEdge (const Edge *edge)
void | removeDuplicatesAndHs (std::vector< Edge * > &edges)
void | setCarriers (std::vector< Atom * > &&carriers)

## Detailed Description

Definition at line 18 of file Tetrahedral.h.

## Constructor & Destructor Documentation

## ◆ Tetrahedral() [1/2]

RDKit::CIPLabeler::Tetrahedral::Tetrahedral | ( |  | ) |
| delete

## ◆ Tetrahedral() [2/2]

RDKit::CIPLabeler::Tetrahedral::Tetrahedral | ( | const CIPMol & | mol,
|  | Atom * | focus )

## Member Function Documentation

## ◆ hasPrimaryLabel()

bool RDKit::CIPLabeler::Tetrahedral::hasPrimaryLabel | ( |  | ) | const
| overridevirtual

Implements RDKit::CIPLabeler::Configuration.

## ◆ label() [1/2]

Descriptor RDKit::CIPLabeler::Tetrahedral::label | ( | const Rules & | comp | ) |
| overridevirtual

Implements RDKit::CIPLabeler::Configuration.

## ◆ label() [2/2]

Descriptor RDKit::CIPLabeler::Tetrahedral::label | ( | Node * | node,
|  | Digraph & | digraph,
|  | const Rules & | comp )
| overridevirtual

Reimplemented from RDKit::CIPLabeler::Configuration.

## ◆ resetPrimaryLabel()

void RDKit::CIPLabeler::Tetrahedral::resetPrimaryLabel | ( |  | ) | const
| overridevirtual

Implements RDKit::CIPLabeler::Configuration.

## ◆ setPrimaryLabel()

void RDKit::CIPLabeler::Tetrahedral::setPrimaryLabel | ( | Descriptor | desc | ) |
| overridevirtual

Implements RDKit::CIPLabeler::Configuration.

The documentation for this class was generated from the following file:

- Tetrahedral.h